import {
  getOutlookUrl,
  getZoomUrl,
  getThirdUserPlatForm
} from "../../api/request";
import "dingtalk-jsapi/entry/mobile";
import openLink from "dingtalk-jsapi/api/biz/util/openLink";
import create from "dd-store";
create.Page({
  data: {
    $data: null,
    url: "",
    platform: "",
    appName: ""
  },
  onLoad(e) {
    this.setData({
      platform: e.platform,
      appName: e.platform
    });
  },
  onShow() {
    const interval = setInterval(() => {
      getThirdUserPlatForm().then(res => {
        let relatedAppPlatformList = [];
        res.data.data.forEach(item => {
          if (item.platform === this.data.platform) {
            clearInterval(interval);
            this.$store.data.relatedAppNeedUpdate = {
              name: item.userName,
              platform: this.data.platform
            };
            this.update();
            dd.navigateBack({
              delta: 1
            });
          }
        });
      });
    }, 1000);
  },
  bindApp() {
    if (this.data.platform === "outlook") {
      let data = `${getApp().globalData.userid},${dd.corpId}`;
      getOutlookUrl(data).then(res => {
        openLink({
          url: res.data.data
        });
      });
    } else if (this.data.platform === "zoom") {
      let data = {
        userId: getApp().globalData.userid,
        orgId: dd.corpId
      };
      getZoomUrl(data).then(res => {
        openLink({
          url: res.data.data
        });
      });
    }
  }
});
